Bug 17120

Summary: yum crashed installing adobe flash
Product: PackageKit Reporter: Adrian Riley <adrian>
Component: backend-yumAssignee: Richard Hughes <richard>
Status: RESOLVED NOTOURBUG QA Contact:
Severity: normal    
Priority: medium    
Version: unspecified   
Hardware: Other   
OS: All   
Whiteboard:
i915 platform: i915 features:

Description Adrian Riley 2008-08-13 11:43:08 UTC
Error Report:

Error Type: <type 'exceptions.TypeError'>
Error Value: object of type 'instancemethod' has no len()
  File : /usr/share/PackageKit/helpers/yum/install-packages.py , line 19, in <module>
    backend.install_packages(packages)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 226, in wrapper
    func(*args,**kwargs)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 949, in install_packages
    self._runYumTransaction()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 1151, in _runYumTransaction
    hex_fingerprint = "80740e5" * len(fingerprint) 157576704ple(map(ord, fingerprint))


Yum version:
[adrian@paxton usr]$ yum --version
3.2.17
  Installed: rpm-4.4.2.3-2.fc9.i386 at 2008-06-16 20:30
  Built    : Fedora Project at 2008-04-18 16:52
  Committed: Bill Nottingham <notting@redhat.com> at 2008-04-18 22:00

  Installed: yum-metadata-parser-1.1.2-8.fc9.i386 at 2008-06-16 20:30
  Built    : Fedora Project at 2008-02-14 13:27
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2008-02-14 22:00

  Installed: yum-3.2.17-2.fc9.noarch at 2008-07-27 15:33
  Built    : Fedora Project at 2008-07-10 16:53
  Committed: Seth Vidal <skvidal@fedoraproject.org> at 2008-07-10 22:00
[
Comment 1 Richard Hughes 2008-08-15 01:28:39 UTC
You need to update your version of PackageKit to the latest in Fedora. Do "yum update PackageKit" and then everything should be okay.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.